'''
Created on 20-Jan-2022

@author: bthakur
'''

import os
import codecs
import inspect
import traceback
import random

from xv.util import UtilClass

# _common_helper
# CommonHelper


class CommonHelper(UtilClass):
    
    def __init__(self, **kwargs):
        super().__init__(**kwargs)

        self._calendar_helper = None
        self._time_helper = None
        self._number_system_helper = None
        self._number_system_example_helper = None
        self._number_unit_helper = None
        self._temperature_conv_helper = None
        
        self._kwargs = kwargs
        pass


    def get_calendar_helper(self):
        if self._calendar_helper is None:
            self._init_calendar_helper(**self._kwargs)
        return self._calendar_helper
        pass

    def _init_calendar_helper(self, **kwargs):  
        from ._calendar_helper import CalendarHelper
        self._calendar_helper = CalendarHelper(**kwargs) 
        pass
   

    def get_time_helper(self):
        if self._time_helper is None:
            self._init_time_helper(**self._kwargs)
        return self._time_helper
        pass

    def _init_time_helper(self, **kwargs):  
        from ._time_helper import TimeHelper
        self._time_helper = TimeHelper(**kwargs) 
        pass
   

    def get_number_system_helper(self):
        if self._number_system_helper is None:
            self._init_number_system_helper(**self._kwargs)
        return self._number_system_helper
        pass

    def _init_number_system_helper(self, **kwargs):  
        from ._number_system_helper import NumberSystemHelper
        self._number_system_helper = NumberSystemHelper(**kwargs) 
        pass
   

    def get_number_system_example_helper(self):
        if self._number_system_example_helper is None:
            self._init_number_system_example_helper(**self._kwargs)
        return self._number_system_example_helper
        pass

    def _init_number_system_example_helper(self, **kwargs):  
        from ._number_system_example_helper import NumberSystemExampleHelper
        self._number_system_example_helper = NumberSystemExampleHelper(**kwargs) 
        pass
   

    def get_number_unit_helper(self):
        if self._number_unit_helper is None:
            self._init_number_unit_helper(**self._kwargs)
        return self._number_unit_helper
        pass

    def _init_number_unit_helper(self, **kwargs):  
        from ._number_unit_helper import NumberUnitHelper
        self._number_unit_helper = NumberUnitHelper(**kwargs) 
        pass
   
    def get_temperature_conv_helper(self):
        if self._temperature_conv_helper is None:
            self._init_temperature_conv_helper(**self._kwargs)
        return self._temperature_conv_helper
        pass

    def _init_temperature_conv_helper(self, **kwargs):  
        from ._temperature_conv_helper import TemperatureConvHelper
        self._temperature_conv_helper = TemperatureConvHelper(**kwargs) 
        pass

   
    pass
#class CommonHelper:
